# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget tesseract::tesseract_kinematics_core tesseract::tesseract_kinematics_kdl tesseract::tesseract_kinematics_ikfast tesseract::tesseract_kinematics_opw tesseract::tesseract_kinematics_ur)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target tesseract::tesseract_kinematics_core
add_library(tesseract::tesseract_kinematics_core SHARED IMPORTED)

set_target_properties(tesseract::tesseract_kinematics_core PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Eigen3::Eigen;tesseract::tesseract_scene_graph;tesseract::tesseract_srdf;console_bridge::console_bridge"
)

# Create imported target tesseract::tesseract_kinematics_kdl
add_library(tesseract::tesseract_kinematics_kdl SHARED IMPORTED)

set_target_properties(tesseract::tesseract_kinematics_kdl PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "KDL_LESS_1_4_0=ON"
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_kinematics_core;Eigen3::Eigen;tesseract::tesseract_scene_graph;orocos-kdl;console_bridge::console_bridge"
)

# Create imported target tesseract::tesseract_kinematics_ikfast
add_library(tesseract::tesseract_kinematics_ikfast INTERFACE IMPORTED)

set_target_properties(tesseract::tesseract_kinematics_ikfast PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "IKFAST_NO_MAIN;IKFAST_CLIBRARY;IKFAST_HAS_LIBRARY"
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_kinematics_core;Eigen3::Eigen;console_bridge::console_bridge"
)

# Create imported target tesseract::tesseract_kinematics_opw
add_library(tesseract::tesseract_kinematics_opw SHARED IMPORTED)

set_target_properties(tesseract::tesseract_kinematics_opw PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_kinematics_core;Eigen3::Eigen;tesseract::tesseract_scene_graph;opw_kinematics::opw_kinematics;console_bridge::console_bridge"
)

# Create imported target tesseract::tesseract_kinematics_ur
add_library(tesseract::tesseract_kinematics_ur SHARED IMPORTED)

set_target_properties(tesseract::tesseract_kinematics_ur PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_17"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "tesseract::tesseract_kinematics_core;Eigen3::Eigen;tesseract::tesseract_scene_graph;console_bridge::console_bridge"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/tesseract_kinematics-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
